﻿<%@ Page Language="C#" MasterPageFile="~/template.Master" AutoEventWireup="true"
    CodeBehind="Pages.aspx.cs" Inherits="simpleBlog.Admin.WebForm9" Title="Textové stránky" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <h2>
        <%=Resources.Default.TextPages %></h2>
    <h3>
        <%=Resources.Default.MenuPages %></h3>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:blogCS %>"
        DeleteCommand="DELETE FROM [pages] WHERE [id] = @id" InsertCommand="INSERT INTO [pages] ([title], [text], [menuitem], [weight]) VALUES (@title, @text, @menuitem, @weight)"
        SelectCommand="SELECT * FROM [pages] WHERE menuitem=1 ORDER BY [weight]" UpdateCommand="UPDATE [pages] SET [title] = @title, [text] = @text, [menuitem] = @menuitem, [weight] = @weight WHERE [id] = @id">
        <DeleteParameters>
            <asp:Parameter Name="id" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="title" Type="String" />
            <asp:Parameter Name="text" Type="String" />
            <asp:Parameter Name="menuitem" Type="Int32" />
            <asp:Parameter Name="weight" Type="Int32" />
            <asp:Parameter Name="id" Type="Int32" />
        </UpdateParameters>
        <InsertParameters>
            <asp:Parameter Name="title" Type="String" />
            <asp:Parameter Name="text" Type="String" />
            <asp:Parameter Name="menuitem" Type="Int32" />
            <asp:Parameter Name="weight" Type="Int32" />
        </InsertParameters>
    </asp:SqlDataSource>
    <asp:GridView ID="GridView1" runat="server" AllowPaging="True" AllowSorting="True"
        AutoGenerateColumns="False" CellPadding="4" DataKeyNames="id" DataSourceID="SqlDataSource1"
        ForeColor="#333333" GridLines="None" EmptyDataText="<%$ Resources: Default, NoPosts %>">
        <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
        <Columns>
            <asp:BoundField DataField="title" HeaderText="<%$ Resources: Default, TitleLabel %>" SortExpression="title">
                <HeaderStyle Width="150px" HorizontalAlign="Left" />
            </asp:BoundField>
            <asp:TemplateField>
                <ItemTemplate>
                    <a href='<%# Eval("id", "~/Admin/Pages.aspx?dir=up&amp;id={0}&amp;") %><%# Eval("weight", "weight={0}") %>'>
                        <asp:Image ID="Image111" runat="server" ImageUrl="~/gfx/up.jpg" /></a>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField>
                <ItemTemplate>
                    <a href='<%# Eval("id", "~/Admin/Pages.aspx?dir=down&amp;id={0}&amp;") %><%# Eval("weight", "weight={0}") %>'>
                        <asp:Image ID="Image11" runat="server" ImageUrl="~/gfx/down.jpg" /></a>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HyperLink ID="HyperLink1" runat="server" NavigateUrl='<%# Eval("id", "~/Admin/PagesAdd.aspx?id={0}") %>'>
                        <asp:Image ID="Image1" runat="server" ImageUrl="~/gfx/upravit.jpg" /></asp:HyperLink>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:CommandField DeleteText="<%$ Resources: Default, Delete %>" ShowDeleteButton="True" ButtonType="Image"
                DeleteImageUrl="~/gfx/zmazat.jpg">
                <ItemStyle HorizontalAlign="Center" Width="50px" ForeColor="#3B6EBF" />
            </asp:CommandField>
        </Columns>
        <PagerStyle BackColor="#000000" ForeColor="White" HorizontalAlign="Center" />
        <HeaderStyle BackColor="#000000" Font-Bold="True" ForeColor="White" />
    </asp:GridView>
    <br />
    <br />
    <h3>
        <%= Resources.Default.NoMenuPages %></h3>
    <asp:SqlDataSource ID="SqlDataSource2" runat="server" ConnectionString="<%$ ConnectionStrings:blogCS %>"
        DeleteCommand="DELETE FROM [pages] WHERE [id] = @id" InsertCommand="INSERT INTO [pages] ([title], [text], [menuitem], [weight], [alias]) VALUES (@title, @text, @menuitem, @weight, @alias)"
        SelectCommand="SELECT * FROM [pages] WHERE ([menuitem] = @menuitem) ORDER BY [id] DESC"
        UpdateCommand="UPDATE [pages] SET [title] = @title, [text] = @text, [menuitem] = @menuitem, [weight] = @weight, [alias] = @alias WHERE [id] = @id">
        <SelectParameters>
            <asp:Parameter DefaultValue="0" Name="menuitem" Type="Int32" />
        </SelectParameters>
        <DeleteParameters>
            <asp:Parameter Name="id" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="title" Type="String" />
            <asp:Parameter Name="text" Type="String" />
            <asp:Parameter Name="menuitem" Type="Int32" />
            <asp:Parameter Name="weight" Type="Int32" />
            <asp:Parameter Name="alias" Type="String" />
            <asp:Parameter Name="id" Type="Int32" />
        </UpdateParameters>
        <InsertParameters>
            <asp:Parameter Name="title" Type="String" />
            <asp:Parameter Name="text" Type="String" />
            <asp:Parameter Name="menuitem" Type="Int32" />
            <asp:Parameter Name="weight" Type="Int32" />
            <asp:Parameter Name="alias" Type="String" />
        </InsertParameters>
    </asp:SqlDataSource>
    <asp:GridView ID="GridView2" runat="server" AllowPaging="True" AllowSorting="True"
        AutoGenerateColumns="False" CellPadding="4" DataKeyNames="id" DataSourceID="SqlDataSource2"
        EmptyDataText="<%$ Resources: Default, NoPosts %>" ForeColor="#333333" GridLines="None">
        <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
        <Columns>
            <asp:BoundField DataField="title" HeaderText="<%$ Resources: Default, TitleLabel %>" SortExpression="title">
                <HeaderStyle HorizontalAlign="Left" />
                <ItemStyle Width="220px" />
            </asp:BoundField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HyperLink ID="HyperLink1" runat="server" NavigateUrl='<%# Eval("id", "~/Admin/PagesAdd.aspx?id={0}") %>'>
                        <asp:Image ID="Image1" runat="server" ImageUrl="~/gfx/upravit.jpg" /></asp:HyperLink>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:CommandField DeleteText="<%$ Resources: Default, Delete %>" ShowDeleteButton="True" ButtonType="Image"
                DeleteImageUrl="~/gfx/zmazat.jpg">
                <ItemStyle ForeColor="#3B6EBF" HorizontalAlign="Center" Width="50px" />
            </asp:CommandField>
        </Columns>
        <PagerStyle BackColor="#000000" ForeColor="White" HorizontalAlign="Center" />
        <HeaderStyle BackColor="#000000" Font-Bold="True" ForeColor="White" />
    </asp:GridView>
</asp:Content>
