﻿<%@ Page Language="C#" MasterPageFile="~/template.Master" AutoEventWireup="true"
    CodeBehind="CommentsShow.aspx.cs" Inherits="simpleBlog.Admin.WebForm8" Title="Zobraziť komentár" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <h2>
        <%= Resources.Default.ShowComment %></h2>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:blogCS %>"
        SelectCommand="SELECT comments.*, posts.title FROM [comments] LEFT JOIN [posts] ON posts.id = comments.id_post WHERE (comments.id = @id)">
        <SelectParameters>
            <asp:QueryStringParameter Name="id" QueryStringField="id" Type="Int32" />
        </SelectParameters>
    </asp:SqlDataSource>
    <asp:FormView ID="FormView1" runat="server" DataKeyNames="id" DataSourceID="SqlDataSource1">
        <EditItemTemplate>
        </EditItemTemplate>
        <InsertItemTemplate>
        </InsertItemTemplate>
        <ItemTemplate>
            <b><%=Resources.Default.Name %></b>:
            <asp:Label ID="nameLabel" runat="server" Text='<%# Bind("name") %>' />
            <br />
            <b><%= Resources.Default.Email %></b>:
            <asp:Label ID="emailLabel" runat="server" Text='<%# Bind("email") %>' />
            <br />
            <b><%= Resources.Default.Post %></b>:
            <asp:Label ID="titleLabel" runat="server" Text='<%# Bind("title") %>' />
            <br />
            <b><%= Resources.Default.Inserted %></b>:
            <asp:Label ID="insertedLabel" runat="server" Text='<%# Bind("inserted") %>' />
            <br />
            <br />
            <asp:Label ID="textLabel" runat="server" Text='<%# Bind("text") %>' />
            <br />
        </ItemTemplate>
    </asp:FormView>
</asp:Content>
